On Jan 25, 2008, at 6:36 PM, 7stud -- wrote:

> $ sudo gem update --system
> Password:
> Updating RubyGems...
> Bulk updating Gem source index for: http://gems.rubyforge.org
> Attempting remote update of rubygems-update
> Successfully installed rubygems-update-1.0.0
> Updating version of RubyGems to 1.0.1
> ERROR:  While executing gem ... (Errno::ENOENT)
>     No such file or directory -
> /usr/lib/ruby/gems/1.8/gems/rubygems-update-1.0.1
>
> ----
> os = mac osx 10.4
> --  
> Posted via http://www.ruby-forum.com/.
>

Check to see that your PATH has not been changed by a recent  
installation of something (such as a new Python, etc...)
Not many people are using /usr/lib/ for Ruby on OS X 10.4
Usually, it's /usr/local/ or /opt/something if you use MacPorts/ 
DarwinPorts